OSRM-PREPARE(1)

NAME
osrm-prepare - generate the hierarchy from OSRM data

SYNOPSIS
osrm-prepare FILE.osrm [OPTIONS]

DESCRIPTION
The osrm-prepare tool takes the data generated by osrm-extract and creates, .osrm.hsgr, .osrm.nodes, .osrm.ramIndex, .osrm.fileIndex . After these have been generated, the osrm service can be started, or the osrm-routed command can be run.

-v, --version
    show version

-h, --help
    show the help message

-c, --config
    path to a configuration file

-r, --restrictions
    restrictions file in .osrm.restrictions format

-p, --profile
    path to a Lua routing profile

-t, --threads
    number of threads to use

SEE ALSO
osrm(7), osrm-extract(1), osrm-routed(1)